import React, { Component } from 'react';
import PropTypes from 'prop-types';
import { createAddTask } from './store';

class AddTask extends Component {
  constructor(props) {
    super(props);
  }        
  
  addANewTask() {                             
    const taskName = this.refs._taskname.value;
    
    if(taskName)
      this.context.store.dispatch(createAddTask(taskName));
  }
  
  render() {    
    return (
      <div> 
        <input ref="_taskname" type="text" placeholder="task name..." />
        <button onClick={ () => this.addANewTask() }>Create</button>
      </div>
    );
  }
}                      

AddTask.contextTypes = {
  store: PropTypes.object
}
                   
export default AddTask;